PETSc version 3.15.5
Fix/Edit manual page

# KSPMonitorResidualRange

Prints the percentage of residual elements that are more then 10 percent of the maximum value.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorResidualRange(KSP ksp, PetscInt it, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| it | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| vf | - The viewer context

### Options Database Key

| -ksp_monitor_range | - Activates KSPMonitorResidualRange()

### See Also

KSPMonitorSet(), KSPMonitorResidual()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages